For the complete documentation index, see llms.txt. This page is also available as Markdown.

Action urls

List action urls

get

Retrieves a list of action urls of virtual receptionist.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
get/ivrs/{id}/action_urls
GET /api/ivrs/{id}/action_urls HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
      "name": "text",
      "enabled": false,
      "type": "DTMF",
      "caller_mask": "text",
      "dtmf_mask": "text",
      "method": "GET",
      "headers": "text",
      "connection_timeout": 2,
      "request_timeout": 2,
      "auth": "DISABLE",
      "username": "text",
      "password": "text",
      "token": "text",
      "url": "text"
    }
  ]
}

Create an action url

post

Create an action url for virtual receptionist.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
namestring · min: 1 · max: 64Optional

The name of action url.

enabledbooleanOptional

Enabled this event or not.

Default: false
typestring · enumOptional

The action url type.
Can be either:

  • DTMF:
  • CALLER
Possible values:
methodstring · enumOptional

The action url request method.
Can be either:

  • GET
  • POST:
Possible values:
headersstringOptional

The request headers of action url.

caller_maskstring · max: 255Optional

The caller mask of action url.

dtmf_maskstring · max: 255Optional

The DTMF mask of action url.
A semicolon-separated list of DTMF number or DTMF number range.
For example: 1000;2000;3000-4000.

connection_timeoutinteger · int32Optional

The connection timeout in seconds.

Default: 2
request_timeoutinteger · int32Optional

The request timeout in seconds.

Default: 2
authstring · enumOptional

The authentication method of event URL:
Can be either:

  • DISABLE: Disable authentication.
  • BASIC: Use basic authentication.
  • DIGEST: Use digest authentication.
  • BEARER: Use bearer authentication.
Default: DISABLEPossible values:
usernamestring · min: 6 · max: 64Optional

The username for authentication, when auth is BASIC or DIGEST.

Pattern: [a-z0-9]{6,64}
passwordstring · min: 6 · max: 64Optional

The password for authentication, when auth is BASIC or DIGEST.

Pattern: [a-z0-9]{6,64}
tokenstringOptional

The token for authentication, when auth is BEARER.

urlstring · min: 1 · max: 128Optional

The event url.

Pattern: [a-z0-9]{6,64}
Responses
201

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
post/ivrs/{id}/action_urls
POST /api/ivrs/{id}/action_urls HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 241

{
  "name": "text",
  "enabled": false,
  "type": "DTMF",
  "method": "GET",
  "headers": "text",
  "caller_mask": "text",
  "dtmf_mask": "text",
  "connection_timeout": 2,
  "request_timeout": 2,
  "auth": "DISABLE",
  "username": "text",
  "password": "text",
  "token": "text",
  "url": "text"
}
{
  "id": "NzAwNTUxOTA5NzczMTQ4MTYw"
}

Retrieve action url

get

Retrieve details of action url of virtual receptionist.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
url_idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestring · min: 1 · max: 64Optional

The name of action url.

enabledbooleanOptional

Enabled this event or not.

Default: false
typestring · enumOptional

The action url type.
Can be either:

  • DTMF:
  • CALLER
Possible values:
caller_maskstring · max: 255Optional

The caller mask of action url.

dtmf_maskstring · max: 255Optional

The DTMF mask of action url.
A semicolon-separated list of DTMF number or DTMF number range.
For example: 1000;2000;3000-4000.

methodstring · enumOptional

The action url request method.
Can be either:

  • GET
  • POST:
Possible values:
headersstringOptional

The request headers of action url.

connection_timeoutinteger · int32Optional

The connection timeout in seconds.

Default: 2
request_timeoutinteger · int32Optional

The request timeout in seconds.

Default: 2
authstring · enumOptional

The authentication method of event URL:
Can be either:

  • DISABLE: Disable authentication.
  • BASIC: Use basic authentication.
  • DIGEST: Use digest authentication.
  • BEARER: Use bearer authentication.
Default: DISABLEPossible values:
usernamestring · min: 6 · max: 64Optional

The username for authentication, when auth is BASIC or DIGEST.

Pattern: [a-z0-9]{6,64}
passwordstring · min: 6 · max: 64Optional

The password for authentication, when auth is BASIC or DIGEST.

Pattern: [a-z0-9]{6,64}
tokenstringOptional

The token for authentication, when auth is BEARER.

urlstring · min: 1 · max: 128Optional

The event url.

Pattern: [a-z0-9]{6,64}
get/ivrs/{id}/action_urls/{url_id}
GET /api/ivrs/{id}/action_urls/{url_id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
  "name": "text",
  "enabled": false,
  "type": "DTMF",
  "caller_mask": "text",
  "dtmf_mask": "text",
  "method": "GET",
  "headers": "text",
  "connection_timeout": 2,
  "request_timeout": 2,
  "auth": "DISABLE",
  "username": "text",
  "password": "text",
  "token": "text",
  "url": "text"
}

Update action url

post

Set action url of virtual receptionist.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
url_idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
namestring · min: 1 · max: 64Optional

The name of action url.

enabledbooleanOptional

Enabled this event or not.

Default: false
typestring · enumOptional

The action url type.
Can be either:

  • DTMF:
  • CALLER
Possible values:
caller_maskstring · max: 255Optional

The caller mask of action url.

dtmf_maskstring · max: 255Optional

The DTMF mask of action url.
A semicolon-separated list of DTMF number or DTMF number range.
For example: 1000;2000;3000-4000.

methodstring · enumOptional

The action url request method.
Can be either:

  • GET
  • POST:
Possible values:
headersstringOptional

The request headers of action url.

connection_timeoutinteger · int32Optional

The connection timeout in seconds.

Default: 2
request_timeoutinteger · int32Optional

The request timeout in seconds.

Default: 2
authstring · enumOptional

The authentication method of event URL:
Can be either:

  • DISABLE: Disable authentication.
  • BASIC: Use basic authentication.
  • DIGEST: Use digest authentication.
  • BEARER: Use bearer authentication.
Default: DISABLEPossible values:
usernamestring · min: 6 · max: 64Optional

The username for authentication, when auth is BASIC or DIGEST.

Pattern: [a-z0-9]{6,64}
passwordstring · min: 6 · max: 64Optional

The password for authentication, when auth is BASIC or DIGEST.

Pattern: [a-z0-9]{6,64}
tokenstringOptional

The token for authentication, when auth is BEARER.

urlstring · min: 1 · max: 128Optional

The event url.

Pattern: [a-z0-9]{6,64}
Responses
200

OK

No content

post/ivrs/{id}/action_urls/{url_id}
POST /api/ivrs/{id}/action_urls/{url_id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 241

{
  "name": "text",
  "enabled": false,
  "type": "DTMF",
  "caller_mask": "text",
  "dtmf_mask": "text",
  "method": "GET",
  "headers": "text",
  "connection_timeout": 2,
  "request_timeout": 2,
  "auth": "DISABLE",
  "username": "text",
  "password": "text",
  "token": "text",
  "url": "text"
}

No content

Was this helpful?